curl --request POST \
--url https://api.dfns.io/key-stores/{storeId}/genesis/input \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'X-DFNS-USERACTION: <api-key>' \
--data '
{
"kind": "Genesis",
"numProvisioners": 3,
"numSecp256k1": 1000,
"numEd25519": 1000,
"hsmGenesisSerial": "<string>",
"macGenesisSerial": "<string>",
"debugOptions": {}
}
'import requests
url = "https://api.dfns.io/key-stores/{storeId}/genesis/input"
payload = {
"kind": "Genesis",
"numProvisioners": 3,
"numSecp256k1": 1000,
"numEd25519": 1000,
"hsmGenesisSerial": "<string>",
"macGenesisSerial": "<string>",
"debugOptions": {}
}
headers = {
"Authorization": "Bearer <token>",
"X-DFNS-USERACTION": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
Authorization: 'Bearer <token>',
'X-DFNS-USERACTION': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
kind: 'Genesis',
numProvisioners: 3,
numSecp256k1: 1000,
numEd25519: 1000,
hsmGenesisSerial: '<string>',
macGenesisSerial: '<string>',
debugOptions: {}
})
};
fetch('https://api.dfns.io/key-stores/{storeId}/genesis/input', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
"<string>"Create Genesis Input
Creates the input archive for a genesis fleet operation, which provisions a new offline signer fleet and generates the key store’s initial signing keys.
Authorizations
Bearer Token: Used to authenticate API requests. More details how to generate the token: Authentication flows
User Action Signature: Used to sign the change-inducing API requests. More details how to generate the token: User Action Signing flows
Path Parameters
1Body
Genesis 2 <= x <= 50 <= x <= 20000 <= x <= 2000112.2, 2.4 Development environments only (rejected with a 400 in production). Deep-merged over the generated genesis options block: objects merge recursively, any other value (including new fields and type changes) replaces the existing value.
Show child attributes
Show child attributes
Response
Success
Zip archive containing input/input.json, the genesis fleet-input document.
Was this page helpful?